KABC::DistributionList class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::DistributionList Class Reference

Distribution list of email addresses. More...

`#include <distributionlist.h>`

Collaboration diagram for KABC::DistributionList:

[legend]
List of all members.

## Public Member Functions
| DistributionList (DistributionListManager *manager, const QString &name)
| Create distribution list object.
| ~DistributionList ()
| Destructor.
void | setName (const QString &)
| Set name of this list.
QString | name () const
| Get name of this list.
void | insertEntry (const Addressee &, const QString &email=QString::null)
| Insert an entry into this distribution list.
void | removeEntry (const Addressee &, const QString &email=QString::null)
| Remove an entry from this distribution list.
QStringList | emails () const
| Return list of email addresses, which belong to this distributon list.
Entry::List | entries () const
| Return list of entries belonging to this distribution list.

## Detailed Description

Distribution list of email addresses.

This class represents a list of email addresses. Each email address is associated with an address book entry. If the address book entry changes, the entry in the distribution list is automatically updated.

Definition at line 39 of file distributionlist.h.

## Constructor & Destructor Documentation

DistributionList::DistributionList | ( | DistributionListManager * | manager,
|  | const QString & | name
| ) |

  | Create distribution list object. Parameters:
  manager | Managing object of this list.
  name | Name of this list.
Definition at line 29 of file distributionlist.cpp. References KABC::DistributionListManager::insert(), and KStdAccel::name().

DistributionList::~DistributionList | ( |  | ) |

| Destructor. Definition at line 36 of file distributionlist.cpp. References KABC::DistributionListManager::remove().

## Member Function Documentation

void DistributionList::setName | ( | const QString & |  | ) |

| Set name of this list. The name is used as key by the DistributinListManager. Definition at line 41 of file distributionlist.cpp. References KStdAccel::name().

QString DistributionList::name | ( |  | ) | const

| Get name of this list. Definition at line 46 of file distributionlist.cpp. Referenced by KABC::DistributionListManager::insert(), KABC::DistributionListManager::list(), KABC::DistributionListManager::listNames(), KABC::DistributionListManager::remove(), and KABC::DistributionListManager::save().

void DistributionList::insertEntry | ( | const Addressee & | ,
|  | const QString & | email = QString::null
| ) |

| Insert an entry into this distribution list. If the entry already exists nothing happens. Definition at line 51 of file distributionlist.cpp. References QValueList::append(), QValueList::begin(), QValueList::end(), QString::isEmpty(), QString::isNull(), and KABC::Addressee::uid(). Referenced by KABC::DistributionListManager::load().

void DistributionList::removeEntry | ( | const Addressee & | ,
|  | const QString & | email = QString::null
| ) |

| Remove an entry from this distribution list. If the entry doesn't exist nothing happens. Definition at line 73 of file distributionlist.cpp. References QValueList::begin(), QValueList::end(), QValueList::remove(), and KABC::Addressee::uid().

QStringList DistributionList::emails | ( |  | ) | const

| Return list of email addresses, which belong to this distributon list. These addresses can be directly used by e.g. a mail client. Definition at line 84 of file distributionlist.cpp. References QValueList::begin(), emails(), QValueList::end(), KABC::Addressee::fullEmail(), and QString::isEmpty(). Referenced by emails().

DistributionList::Entry::List DistributionList::entries | ( |  | ) | const

| Return list of entries belonging to this distribution list. This function is mainly useful for a distribution list editor. Definition at line 102 of file distributionlist.cpp. Referenced by KABC::DistributionListManager::save().

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001